function seta( A ,handles)
% This function loads the aircraft, flight condition and derivative data to the GUI
% Originally created by Rees 2003, modified by,
% By Konstantinos Siliverdis 20-Aug-2004 

    switch length(A);
    case 28 % Longitudinal
        set(handles.Mach,'string',A(1));
        set(handles.Altitude,'string',A(2));
        set(handles.gamma,'string',A(3));
        set(handles.alpha,'string',A(4));
        set(handles.V,'string',A(5));
        set(handles.m,'string',A(6));
        set(handles.Iy,'string',A(7));
        set(handles.rho,'string',A(8));
        set(handles.S,'string',A(9));
        set(handles.c,'string',A(10));
        set(handles.g,'string',A(11));
        set(handles.Xu,'string',A(12));
        set(handles.Xw,'string',A(13));
        set(handles.Xdw,'string',A(14));
        set(handles.Xq,'string',A(15));
        set(handles.Xde,'string',A(16));
        set(handles.Zu,'string',A(17));
        set(handles.Zw,'string',A(18));
        set(handles.Zdw,'string',A(19));
        set(handles.Zq,'string',A(20));
        set(handles.Zde,'string',A(21));
        set(handles.Mu,'string',A(22));
        set(handles.Mw,'string',A(23));
        set(handles.Mdw,'string',A(24));
        set(handles.Mq,'string',A(25));
        set(handles.Mde,'string',A(26));
        set(handles.DerivativeFormat,'value',A(27));
        set(handles.ac_axes,'value',A(28));
    case 30 % Lateral/Directional
        set(handles.Mach,'string',A(1));
        set(handles.Altitude,'string',A(2));
        set(handles.gamma,'string',A(3));
        set(handles.alpha,'string',A(4));
        set(handles.V,'string',A(5));
        set(handles.m,'string',A(6));
        set(handles.Ix,'string',A(7));
        set(handles.Iz,'string',A(8));
        set(handles.Ixy,'string',A(9));
        set(handles.rho,'string',A(10));
        set(handles.S,'string',A(11));
        set(handles.b,'string',A(12));
        set(handles.g,'string',A(13));
        set(handles.Yv,'string',A(14));
        set(handles.Yp,'string',A(15));
        set(handles.Yr,'string',A(16));
        set(handles.Yda,'string',A(17));
        set(handles.Ydr,'string',A(18));
        set(handles.Lv,'string',A(19));
        set(handles.Lp,'string',A(20));
        set(handles.Lr,'string',A(21));
        set(handles.Lda,'string',A(22));
        set(handles.Ldr,'string',A(23));
        set(handles.Nv,'string',A(24));
        set(handles.Np,'string',A(25));
        set(handles.Nr,'string',A(26));
        set(handles.Nda,'string',A(27));
        set(handles.Ndr,'string',A(28));
        set(handles.DerivativeFormat,'value',A(29));
        set(handles.ac_axes,'value',A(30));
    otherwise % Invalid file
    errordlg('Incorrect type of argument,try again!','Invalid Input','modal')
    %load_sub_menu_Callback
end
return